<?php
/**
 * ExplorApp
 *
 * The application for the manipulation of files.
 *
 * @package	ExplorApp
 * @author	Yatsyshyn Mykhaylo Mykhaylovych
 * @copyright	Copyright (c) 2016. (http://explorApp.net/)
 * @license	http://explorApp.net/license
 * @link	http://explorApp.net/
 * @since	Version 1.0.0
 * @filesource
 */

include_once '../config.php';
include_once '../language/'.$language.'.php';

$path = $_SERVER['DOCUMENT_ROOT'].''.$pathfiles.'/'.$_POST['path'];
$items = scandir($path);
$explod = explode('/',$_POST['path']);
$explod = end($explod);
if($explod == '' OR $explod == ''){
	$explod = 'root';
}
echo '<div class="EAname-folder">'.$L['folder'].': '.$explod.'</div>';
echo '<div ondblclick="back()" id="EAback" class="EAitem EAblock" data-path="/" data-type="back"><i class="fa fa-reply" aria-hidden="true"></i>'.$L['back'].'</div>';

foreach ($items as $item) {
	if($item != '.' AND $item != '..'){
		if(is_dir($path.'/'.$item)){
			echo '<div class="EAitem EAblock EAfolder" data-path="'.$item.'" data-type="folder"><i class="fa fa-folder" aria-hidden="true"></i><name class="EAnameitem">'.$item.'</name></div>';
		}
	}
}

foreach ($items as $item) {
	if($item != '.' AND $item != '..'){
		$explode = explode('.',$item);
		$extItem = end($explode);
		foreach ($extension as $ext) {
			if($ext == $extItem AND $item != $extItem){
				if(strlen($explode['0'])>=10){
					$name = substr($explode['0'], 0,8);
					$name = $name.'...'.$extItem;
				} else {
					$name = $explode['0'].'.'.$extItem;
				}
				if($extItem == 'jpg' OR $extItem == 'jpeg' OR $extItem == 'png' OR $extItem == 'gif'){
					$image = '<img width="100%" src="'.$pathfiles.'/'.$_POST['path'].'/'.$item.'">';
				} elseif($extItem == 'txt' OR $extItem ==  'css' OR $extItem ==  'sql' OR $extItem ==  'pdf'){
					$image = '<i class="fa fa-file-text" aria-hidden="true"></i>';
				} else {
					$image = '<i class="fa fa-file" aria-hidden="true"></i>';
				}

				echo '<div class="EAitem EAblock EAfile" data-path="'.$item.'" data-type="file">'.$image.'<name>'.$name.'</name></div>';
			}
		}
	}
}





