<?php
/**
 * ExplorApp
 *
 * The application for the manipulation of files.
 *
 * @package	ExplorApp
 * @author	Yatsyshyn Mykhaylo Mykhaylovych
 * @copyright	Copyright (c) 2016. (http://explorApp.net/)
 * @license	http://explorApp.net/license
 * @link	http://explorApp.net/
 * @since	Version 1.0.0
 * @filesource
 */

include_once 'config.php';
include_once 'language/'.$language.'.php';
$version = '1.0.1';
if(isset($_GET['input'])){
	$button_select_file = '<div class="EAactive EAbutton" id="EAselect_file_input">'.$L['browse'].'</div>';
} else {
	$button_select_file = null;
}

?>

<!DOCTYPE html>
<html>
	<head>
		<link rel="stylesheet" href="<?=$pathApp?>/styles/styles.css" type="text/css">
		<script src="https://use.fontawesome.com/73d087289a.js"></script>
		<script src="<?=$pathApp?>/js/jquery.knob.js"></script>
		<script src="<?=$pathApp?>/js/jquery.ui.widget.js"></script>
		<script src="<?=$pathApp?>/js/jquery.iframe-transport.js"></script>
		<script src="<?=$pathApp?>/js/jquery.fileupload.js"></script>
		<script src="<?=$pathApp?>/js/script_upload.js"></script>
		<script type="text/javascript">
		</script>
	</head>
	<body>
		<div class="EAwrapper">
			<? include 'header.php' ?>		
			<div id="EAfile">
				<div id="EAActivefile" onselectstart="return false">
					<script type="text/javascript">
						load('');
					</script>
				</div>
				<div id='EAinfo'></div>
				<div id="EAload_file">
				<div class="EAclose" data-block="#EAload_file">[X]</div>	
					<form id="EAupload" method="post" action="app/file.php?upload" enctype="multipart/form-data">
						<div id="EAdrop">
							<?=$L['dragfiles']?><br>
							<a><?=$L['browse']?></a>
							<input type="file" name="upl" multiple />
						</div>
					<ul></ul>
				</form>
				</div>
			</div>
			<input type="text" name="EAbuffer" id="EAbuffer">
			<? include 'footer.php' ?>	
		</div>
	</body>
<html>