<?
include_once '../config.php';
include_once '../language/'.$language.'.php';
?>

var pathApp = explorpath = '<?=$pathApp?>';
function close(selector){ // Close modal windows
	$(selector).css('display','none');
}

function buffer(act,data = ''){
	if(act == 'set'){
		$('#EAbuffer').val(data);
	} else {
		var ret = $('#EAbuffer').val();
		return ret;
	}
}

function load(path = '/'){ // load list files and folders
	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/load.php',
        data: { 'path':path},
        success: function(data){
       		close('#EAinfo');
        	jQuery('#EAActivefile').html(data);
      }
    });
}

function paste(){
	var path = $('#EApath').val();
	var buff = buffer('get');
	 $.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?paste',
        data: {'path':path,'buff':buff},
        success: function(data){
    		console.log(data);
       		load(path);
      }
    });
	 $('#EApaste').removeClass('EAactive');
}

function rename(name = ''){
	var newname = $('#EAnewname').val();
 	var path = $('#EApath').val();
 	var name = $('.EAitem.EAactive').data('path');
 	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?rename',
        data: {'path':path,'newname':newname,'name':name},
        success: function(data){
       		if(data){
       			load(path);
       		}
      }
    });
}

function itemdelete(path = ''){
		var folder = $('#EApath').val();
		path = $('.EAitem.EAactive').data('path');
		var type = $('.EAitem.EAactive').data('type');
		path = folder+'/'+path;
		$.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?delete',
        data: {'path':path,'type':type},
        success: function(data){
        	load($('#EApath').val());	
      }	
    });
}

function loadform(name){ //load forms 
	path = $('#EApath').val();
	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/form/'+name+'.php',
        data: {'path':path},
        success: function(data){
        	jQuery('#EAActivefile').html(data);
      }
    });
}

function setpath(path){ // Set path in input
	path = path.replace('//', '/');
	$('#EApath').val(path);
}

function load_info(path){ // Load information of file
	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?info',
        data: { 'path':path},
        success: function(data){
        	$('#EAinfo').css('display','block');
        	$('#EAinfo').html(data);
     	}
  	});
}

function back(){ // function button Back
	var path = $('#EApath').val();
	var arr = path.split('/');
	var result = [];
	for (var i = 0; i < arr.length; i++) {
    	if ( i in arr ) {
    		if(arr[i] == ''){
    			arr.splice(i,1);
    		}
        	
    	}
	}
	dell = arr.pop();
	arr = arr.toString();
	arr = arr.replace(/,/g,"/");
	setpath(arr);
	load(arr);
}

jQuery(function($) {
$('body').on('click', '#EAbtn',function(){
	var path = jQuery('#EApath').val();
	load(path);
});

$('body').on('click','.EAitem',function(){
	$('.EAitem').removeClass('EAactive');
	$(this).addClass('EAactive');
});


$('body').on('dblclick','.EAitem',function(){
	$('.EAitem').removeClass('EAactive');
	var type = $(this).data('type');
	var path = $(this).data('path');
	var spath = $('#EApath').val()+'/'+path;
	if(type=='folder'){
		setpath(spath);
		load(spath);
	} else if(type == 'file') {
		load_info(spath);
	}
});

$('body').on('click','.EAclose',function(){
	var name = $(this).data('block');
	close(name);
});

$('body').on('click','.EAbutton#EAdrop_b',function(){
	$(this).find('ul.EAdrop').toggleClass('EAactive');
});

$('body').on('click', '#EAadd_folder',function(){
	loadform('add_folder');
});

$('body').on('click','#EAaddfolder',function(){
	path = $('#EApath').val();
	name = $('#EAnamefolder').val();
	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?addfolder',
        data: {'path':path,'name':name},
        success: function(data){
        	jQuery('#EAresult').html(data);
      }
    });
});

$('body').on('click', '#EAadd_file',function(){
	var display = $('#EAload_file').css('display');
	var path = $('#EApath').val();
	$('form#EAupload').attr('action',pathApp+'/app/file.php?upload&p='+path);
	if(display == 'none'){
		var param = 'block'; 
	} else {
		var param = 'none';
	}
	$('#EAload_file').css('display',param);
});


$('body').on('click','.EAitem', function(){
	$('#EAtest').val($(this).data('path'));
});


$('body').on('click', '#EAupdate',function(){
	load($('#EApath').val());
});

$('body').on('click', '#EAdelete',function(){
	itemdelete();
});

$('body').on('click', '#EArename',function(){
	var val = $('.EAitem.EAactive').data('path');
	var html = '<input type="text" id="EAnewname" name="rename" style="width:100%;" value="'+val+'"><button id="EAok">OK</button>';
	$('.EAitem.EAactive name').html(html);
});

$('body').on('click','name #EAok', function(){
	rename();
});


$('body').on('click', '#EAdownload',function(){
	var type = $('.EAitem.EAactive').data('type');
	var path = $('#EApath').val();
	if(type == 'file'){
		var val = $('.EAitem.EAactive').data('path');
		location.href = pathApp+'/app/file.php?download&path='+path+'/'+val;
	}	
});



$('body').on('click','#EAcopy',function(){
	var item = $('.EAitem.EAactive').data('path');
	var type = $('.EAitem.EAactive').data('type');
	var path = $('#EApath').val();
	var set = 'copy,'+type+','+path+'/'+item;
	buffer('set',set);
	$('#EApaste').addClass('EAactive');
});

$('body').on('click','#EAmove',function(){
	var item = $('.EAitem.EAactive').data('path');
	var type = $('.EAitem.EAactive').data('type');
	var path = $('#EApath').val();
	var set = 'move,'+type+','+path+'/'+item;
	buffer('set',set);
	$('#EApaste').addClass('EAactive');
});

$('body').on('click','#EApaste',function(){
	paste();
});

});
window.onload=function(){
	load('');
}
 
var explorApp = function exp(name){
	var selector = '[name="'+name+'"]';
	$(selector).css('display','none');
	$(selector).before('<div id="EAexplorApp"><img style="cursor: pointer;" data-input="'+name+'" src="'+explorpath+'/styles/img/image.png" width="140px" id="EAImage"><div style="text-align: center; width:140px;" id="EAname"><?=$L['noselect']?></div><div id="EAmodal_form"><span id="EAmodal_close">X</span><div id="EAsection-load"></div></div><div id="EAoverlay"></div></div>');
	setTimeout(function(){
		$('#EAmodal_close').trigger('click');
	},500);
} 

function explorAppStart(name){
		$('#EAoverlay').fadeIn(400, function(){ 
			$('#EAmodal_form') .css('display', 'block').animate({opacity: 1}, 200); 
		});
		$('#EAsection-load').load(explorpath+'/index.php?input='+name);
}

jQuery(function($) {
	$('body').on('click', '#EAImage', function(){
		var name = $('#EAImage').data('input');
		explorAppStart(name);
	}); 

	$('body').on('click', '#EAmodal_close, #EAoverlay', function(){ 	
		$('#EAmodal_form').animate({opacity: 0}, 200,function(){
					$(this).css('display', 'none');
					$('#EAoverlay').fadeOut(400);
					$('#EAsection-load').html('');			
		});
	});


	$('body').on('click','#EAselect_file_input', function(){	
		var file = $('.EAitem.EAactive').data('path');
		var type = $('.EAitem.EAactive').data('type');
		var path = $('#path').val();
		filei = '<?=$_SERVER['REQUEST_SCHEME']?>://<?=$_SERVER['SERVER_NAME']?>/<?=$pathfiles?>/'+path+'/'+file;
		var input = $('#EAImage').data('input');
		$('[name="'+input+'"]').val(filei);
		setTimeout(function(){
			$('#EAmodal_close').trigger('click');
		},1000);
		$('#EAImage').attr('src',explorpath+'/styles/img/ok_select.png');
		$('#EAname').html(file);
	});

	$('body').on('click','#EAReview', function(){
		$.getJSON("http://update.explorapp.net?callback=?", function(data){
     			var vers = '1.0.1';
     			if(data['version'] != vers){
     				$.ajax({
    					type: 'POST',
        				url: pathApp+'/app/tech.php',
        				data: { 'new_version':data['version'],'version':vers},
        					success: function(data){w
     					}
  					});
     				alert('<?=$L['have_upate']?>: '+data['version']);
     			} else {
     				alert('<?=$L['you_use_actual_version']?>');
     			}	
  		});
	});
});
