<?php

/**
 * ExplorApp
 *
 * The application for the manipulation of files.
 *
 * @package	ExplorApp
 * @author	Yatsyshyn Mykhaylo Mykhaylovych
 * @copyright	Copyright (c) 2016. (http://explorApp.net/)
 * @license	http://explorApp.net/license
 * @link	http://explorApp.net/
 * @since	Version 1.0.0
 * @filesource
 */

// Путь к приложению от корня сайта
// The path to the application from the site root
$pathApp = '/explorApp/';

// Выберите язык приложения 'english', 'ukrainian', 'russian'
// Select the language of the application 'english', 'ukrainian', 'russian'
$language = 'russian';

// Укажите крневую рабочую папку от корня
// Specify the root working folder from the root
$pathfiles = '/images';

// Укажите расширения файлов с которыми будет работать приложение
// Specify file extensions with which the application will run
$extension = array('jpg','png','gif','jpeg','avi','3gp','mp4','mp3','pdf','doc','docx','ptt','pttx','sql','txt','css','zip','gz');

// Укажите расширения файлов которые будут открываться а не скачивается по умолчанию
// Specify file extensions to be opened and can not be downloaded by default
$ignore_download = array('');

// Functions

function normal_size($size) {
   $kb = 1024;         // KB
   $mb = 1024 * $kb;   // MB
   $gb = 1024 * $mb;   // GB
   if($size < $kb) {
       return $size." B";
   }
   else if($size < $mb) {
       return round($size/$kb,2)." KB";
   }
   else if($size < $gb) {
       return round($size/$mb,2)." MB";
   }
   else if($size < $tb) {
       return round($size/$gb,2)." GB";
   }
}